
Katello - Bug #6767

We should be checking in the model layer that models like products can't switch orgs

07/24/2014 09:17 AM - David Davis

Status: Closed   

Priority: High   

Assignee:    

Category: API   

Target version: Katello Backlog   

Difficulty: medium Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1122957 Red Hat JIRA:  

Pull request:    

Description

It looks like there no validation to prevent users from switching orgs on models like products in the model layer. It looks like this is

done in the controller instead.

History

#1 - 07/24/2014 09:18 AM - Partha Aji

- Bugzilla link set to 1122957

#2 - 07/24/2014 09:18 AM - David Davis

- Priority changed from Normal to Low

#3 - 08/04/2014 11:00 PM - Eric Helms

- Target version set to 54

- Triaged changed from No to Yes

#4 - 08/15/2014 01:36 PM - Eric Helms

- Priority changed from Low to High

#5 - 08/18/2014 08:32 AM - Eric Helms

- Target version changed from 54 to 55

#6 - 09/08/2014 08:11 AM - Eric Helms

- Target version changed from 55 to 56

#7 - 09/27/2014 12:44 PM - Eric Helms

- Target version deleted (56)

#8 - 12/21/2015 11:54 AM - Eric Helms

- translation missing: en.field_release set to 86

#9 - 02/16/2016 09:09 PM - Eric Helms

- translation missing: en.field_release changed from 86 to 114

#10 - 12/19/2016 05:03 PM - Partha Aji

- Status changed from New to Closed
